Gebruik CometAPI met de Runway Control a character API om character performance-taken te starten vanuit een referentievideo, waarbij gezichtsuitdrukkingen en lichaamsbewegingen worden aangestuurd.
curl --request POST \
--url https://api.cometapi.com/runwayml/v1/character_performance \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Runway-Version: <x-runway-version>' \
--data '
{
"character": {
"type": "video",
"uri": "https://filesystem.site/cdn/20250818/wAKbHUoj5EHyqZvEdJbFXn10wXBMUn.mp4"
},
"reference": {
"type": "video",
"uri": "https://filesystem.site/cdn/20250818/wAKbHUoj5EHyqZvEdJbFXn10wXBMUn.mp4"
},
"bodyControl": true,
"expressionIntensity": 3,
"seed": 4294967295,
"model": "act_two",
"ratio": "1280:720",
"contentModeration": {
"publicFigureThreshold": "auto"
}
}
'{
"id": "<string>"
}X-Runway-Version header, bijvoorbeeld 2024-11-06model: act_twocharacter-asset en één reference-asset op als toegankelijke HTTPS-URL’sbodyControl: true en een gematigde expressionIntensity voordat je de stijl afstemtDien het character-performance-verzoek in
character-asset, reference-asset en bewegingsinstellingen.Sla de geretourneerde task id op
id, want die heb je later nodig voor polling.Poll de taakstatus
character is het onderwerp dat je wilt animerenreference is de bronclip die gezichtsperformance of lichaamsbeweging levertbodyControl bepaalt of motion transfer naast expressieoverdracht ook lichaamsbeweging omvatcontentModeration past provider-moderatiedrempels toe op het verzoekBearer token authentication. Use your CometAPI key.
Runway version header, for example 2024-11-06.
The character to control. You can either provide a video or an image.
Show child attributes
Reference performance clip. Provide type (video) and uri (HTTPS URL).
Show child attributes
Enable body control.
Intensity of the expression transfer. Higher values produce more exaggerated expressions.
Random seed for reproducible results.
The model variant to use. Must be act_two.
Aspect ratio of the output video, e.g. 1280:720.
Show child attributes
Task accepted.
curl --request POST \
--url https://api.cometapi.com/runwayml/v1/character_performance \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Runway-Version: <x-runway-version>' \
--data '
{
"character": {
"type": "video",
"uri": "https://filesystem.site/cdn/20250818/wAKbHUoj5EHyqZvEdJbFXn10wXBMUn.mp4"
},
"reference": {
"type": "video",
"uri": "https://filesystem.site/cdn/20250818/wAKbHUoj5EHyqZvEdJbFXn10wXBMUn.mp4"
},
"bodyControl": true,
"expressionIntensity": 3,
"seed": 4294967295,
"model": "act_two",
"ratio": "1280:720",
"contentModeration": {
"publicFigureThreshold": "auto"
}
}
'{
"id": "<string>"
}